Method: appstoreappsreview.uploadapk

Upload an APK file for the hosted app. Returns an ID to track this APK.

HTTP request

  • Upload URI, for media upload requests:
    POST https://androidpublisher.googleapis.com/upload/androidpublisher/v3/appstore/{appStorePackageName}/apps/{packageName}/apks:upload
  • Metadata URI, for metadata-only requests:
    POST https://androidpublisher.googleapis.com/androidpublisher/v3/appstore/{appStorePackageName}/apps/{packageName}/apks:upload

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
appStorePackageName

string

Required. Package name of the third-party app store.

packageName

string

Required. Package name of the app.

Request body

The request body must be empty.

Response body

Response for uploading an APK.

If successful, the response body contains data with the following structure:

JSON representation
{
  "apkId": string
}
Fields
apkId

string

The unique ID of the uploaded APK.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/androidpublisher